"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Text = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _palette = require("../theme/palette");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const normalize = size => size;

const Text = /*#__PURE__*/_react.default.forwardRef(function Text(_ref, ref) {
  let {
    style = {},
    h1 = false,
    h2 = false,
    h3 = false,
    h4 = false,
    h5 = false,
    t1 = false,
    t2 = false,
    tBold = false,
    t3 = false,
    t4 = false,
    t5 = false,
    children = '',
    tx = '',
    verticalCenter = false,
    color = _palette.palette.G7(1),
    isCenter,
    paragraph,
    ...rest
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, _extends({
    ref: ref,
    style: _reactNative.StyleSheet.flatten([styles.text, {
      color
    }, isCenter && styles.textCenter, (t1 || t2 || t3 || t4 || t5) && tBold && styles.enTBold, h1 && _reactNative.StyleSheet.flatten([{
      fontSize: normalize(28)
    }, !verticalCenter && {
      lineHeight: normalize(36)
    }, styles.h1]), h2 && _reactNative.StyleSheet.flatten([{
      fontSize: normalize(24)
    }, !verticalCenter && {
      lineHeight: normalize(32)
    }, styles.h2]), h3 && _reactNative.StyleSheet.flatten([{
      fontSize: normalize(18)
    }, !verticalCenter && {
      lineHeight: normalize(28)
    }, styles.h3]), h4 && _reactNative.StyleSheet.flatten([{
      fontSize: normalize(16)
    }, !verticalCenter && {
      lineHeight: normalize(24)
    }, styles.h4]), h5 && _reactNative.StyleSheet.flatten([{
      fontSize: normalize(14)
    }, !verticalCenter && {
      lineHeight: normalize(20)
    }, styles.h5]), t1 && _reactNative.StyleSheet.flatten([{
      fontSize: normalize(14)
    }, !verticalCenter && {
      lineHeight: normalize(20)
    }]), t2 && _reactNative.StyleSheet.flatten([{
      fontSize: normalize(13)
    }, !verticalCenter && {
      lineHeight: normalize(18)
    }]), t3 && _reactNative.StyleSheet.flatten([{
      fontSize: normalize(12)
    }, !verticalCenter && {
      lineHeight: normalize(16)
    }]), t4 && _reactNative.StyleSheet.flatten([{
      fontSize: normalize(11)
    }, !verticalCenter && {
      lineHeight: normalize(16)
    }]), t5 && _reactNative.StyleSheet.flatten([{
      fontSize: normalize(10)
    }, !verticalCenter && {
      lineHeight: normalize(14)
    }]), paragraph && _reactNative.StyleSheet.flatten([{
      fontSize: normalize(14),
      lineHeight: normalize(24)
    }]), style])
  }, rest), tx || children);
});

exports.Text = Text;
const bold = _reactNative.Platform.OS === 'ios' ? '600' : 'bold';

const styles = _reactNative.StyleSheet.create({
  d1: {},
  d2: {},
  enTBold: {
    fontWeight: bold
  },
  h1: {
    fontWeight: bold
  },
  h2: {
    fontWeight: bold
  },
  h3: {
    fontWeight: bold
  },
  h4: {
    fontWeight: bold
  },
  h5: {
    fontWeight: bold
  },
  text: {
    fontSize: normalize(14)
  },
  textCenter: {
    alignSelf: 'center'
  }
});

Text.displayName = 'Text';
//# sourceMappingURL=text.js.map