"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TapControler = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNativeGestureHandler = require("react-native-gesture-handler");

var _reactNativeReanimated = _interopRequireDefault(require("react-native-reanimated"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const hitSlop = {
  left: 8,
  bottom: 4,
  right: 8,
  top: 4
};

const TapControler = _ref => {
  let {
    onPress,
    style,
    children
  } = _ref;

  const gesture = _reactNativeGestureHandler.Gesture.Tap().onEnd((_e, success) => {
    if (success) {
      onPress();
    }
  });

  return /*#__PURE__*/_react.default.createElement(_reactNativeGestureHandler.GestureDetector, {
    gesture: gesture
  }, /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    hitSlop: hitSlop,
    style: style
  }, children));
};

exports.TapControler = TapControler;
//# sourceMappingURL=tap-controler.js.map