"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.VideoError = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _components = require("./components");

var _palette = require("./theme/palette");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const VideoError = /*#__PURE__*/_react.default.memo(function VideoError(_ref) {
  let {
    isError
  } = _ref;
  if (!isError) return null;
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: errorStyle.container
  }, /*#__PURE__*/_react.default.createElement(_components.Text, {
    h5: true,
    color: _palette.palette.Danger(1),
    tx: "error"
  }));
});

exports.VideoError = VideoError;

const errorStyle = _reactNative.StyleSheet.create({
  container: {
    alignItems: 'center',
    backgroundColor: _palette.palette.G7(0.5),
    justifyContent: 'center',
    ..._reactNative.StyleSheet.absoluteFillObject
  }
});
//# sourceMappingURL=video-error.js.map